@@ -1358,225 +1361,225 @@
         36: invokevirtual #42                 // Method java/io/BufferedReader.readLine:()Ljava/lang/String;
         39: dup           
         40: astore_3      
-        41: ifnull        73
+        41: ifnull        72
         44: invokestatic  #43                 // Method jenkins/model/Jenkins.getInstance:()Ljenkins/model/Jenkins;
         47: aload_3       
-        48: ldc_w         #44                 // class hudson/model/AbstractProject
-        51: invokevirtual #45                 // Method jenkins/model/Jenkins.getItemByFullName:(Ljava/lang/String;Ljava/lang/Class;)Lhudson/model/Item;
-        54: checkcast     #44                 // class hudson/model/AbstractProject
-        57: astore        4
-        59: aload         4
-        61: ifnull        70
-        64: aload         4
-        66: invokevirtual #46                 // Method hudson/model/AbstractProject.scheduleBuild:()Z
-        69: pop           
-        70: goto          35
-        73: aload_2       
-        74: invokevirtual #47                 // Method java/io/BufferedReader.close:()V
-        77: goto          89
-        80: astore        5
-        82: aload_2       
-        83: invokevirtual #47                 // Method java/io/BufferedReader.close:()V
-        86: aload         5
-        88: athrow        
-        89: aload_1       
-        90: invokevirtual #48                 // Method java/io/File.delete:()Z
-        93: pop           
-        94: goto          352
-        97: aload_0       
-        98: invokevirtual #49                 // Method getXMLQueueFile:()Ljava/io/File;
-       101: astore_1      
-       102: aload_1       
-       103: invokevirtual #35                 // Method java/io/File.exists:()Z
-       106: ifeq          352
-       109: new           #50                 // class hudson/XmlFile
-       112: dup           
-       113: getstatic     #51                 // Field XSTREAM:Lcom/thoughtworks/xstream/XStream;
-       116: aload_1       
-       117: invokespecial #52                 // Method hudson/XmlFile."&lt;init&gt;":(Lcom/thoughtworks/xstream/XStream;Ljava/io/File;)V
-       120: invokevirtual #53                 // Method hudson/XmlFile.read:()Ljava/lang/Object;
-       123: checkcast     #54                 // class java/util/List
-       126: astore_2      
-       127: iconst_0      
-       128: istore_3      
-       129: aload_2       
-       130: invokeinterface #55,  1           // InterfaceMethod java/util/List.iterator:()Ljava/util/Iterator;
-       135: astore        4
-       137: aload         4
-       139: invokeinterface #56,  1           // InterfaceMethod java/util/Iterator.hasNext:()Z
-       144: ifeq          296
-       147: aload         4
-       149: invokeinterface #57,  1           // InterfaceMethod java/util/Iterator.next:()Ljava/lang/Object;
-       154: astore        5
-       156: aload         5
-       158: instanceof    #58                 // class hudson/model/Queue$Task
-       161: ifeq          178
-       164: aload_0       
-       165: aload         5
-       167: checkcast     #58                 // class hudson/model/Queue$Task
-       170: iconst_0      
-       171: invokevirtual #59                 // Method schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
-       174: pop           
-       175: goto          293
-       178: aload         5
-       180: instanceof    #60                 // class hudson/model/Queue$Item
-       183: ifeq          293
-       186: aload         5
-       188: checkcast     #60                 // class hudson/model/Queue$Item
-       191: astore        6
-       193: aload         6
-       195: getfield      #61                 // Field hudson/model/Queue$Item.task:Lhudson/model/Queue$Task;
-       198: ifnonnull     204
-       201: goto          137
-       204: iload_3       
-       205: aload         6
-       207: getfield      #62                 // Field hudson/model/Queue$Item.id:I
-       210: invokestatic  #63                 // Method java/lang/Math.max:(II)I
-       213: istore_3      
-       214: aload         6
-       216: instanceof    #64                 // class hudson/model/Queue$WaitingItem
-       219: ifeq          231
-       222: aload         6
-       224: aload_0       
-       225: invokevirtual #65                 // Method hudson/model/Queue$Item.enter:(Lhudson/model/Queue;)V
-       228: goto          293
-       231: aload         6
-       233: instanceof    #66                 // class hudson/model/Queue$BlockedItem
-       236: ifeq          248
-       239: aload         6
-       241: aload_0       
-       242: invokevirtual #65                 // Method hudson/model/Queue$Item.enter:(Lhudson/model/Queue;)V
-       245: goto          293
-       248: aload         6
-       250: instanceof    #67                 // class hudson/model/Queue$BuildableItem
-       253: ifeq          265
-       256: aload         6
-       258: aload_0       
-       259: invokevirtual #65                 // Method hudson/model/Queue$Item.enter:(Lhudson/model/Queue;)V
-       262: goto          293
-       265: new           #68                 // class java/lang/IllegalStateException
-       268: dup           
-       269: new           #69                 // class java/lang/StringBuilder
-       272: dup           
-       273: invokespecial #70                 // Method java/lang/StringBuilder."&lt;init&gt;":()V
-       276: ldc           #71                 // String Unknown item type! 
-       278: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
-       281: aload         6
-       283: invokevirtual #73                 // Method java/lang/StringBuilder.append:(Ljava/lang/Object;)Ljava/lang/StringBuilder;
-       286: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
-       289: invokespecial #75                 // Method java/lang/IllegalStateException."&lt;init&gt;":(Ljava/lang/String;)V
-       292: athrow        
-       293: goto          137
-       296: invokestatic  #76                 // Method hudson/model/Queue$WaitingItem.access$300:()Ljava/util/concurrent/atomic/AtomicInteger;
-       299: iload_3       
-       300: invokevirtual #77                 // Method java/util/concurrent/atomic/AtomicInteger.set:(I)V
-       303: new           #78                 // class java/io/File
-       306: dup           
-       307: new           #69                 // class java/lang/StringBuilder
-       310: dup           
-       311: invokespecial #70                 // Method java/lang/StringBuilder."&lt;init&gt;":()V
-       314: aload_1       
-       315: invokevirtual #79                 // Method java/io/File.getPath:()Ljava/lang/String;
-       318: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
-       321: ldc           #80                 // String .bak
-       323: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
-       326: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
-       329: invokespecial #81                 // Method java/io/File."&lt;init&gt;":(Ljava/lang/String;)V
-       332: astore        4
-       334: aload         4
-       336: invokevirtual #48                 // Method java/io/File.delete:()Z
-       339: pop           
-       340: aload_1       
-       341: aload         4
-       343: invokevirtual #82                 // Method java/io/File.renameTo:(Ljava/io/File;)Z
-       346: pop           
-       347: aload_1       
-       348: invokevirtual #48                 // Method java/io/File.delete:()Z
-       351: pop           
-       352: goto          388
-       355: astore_1      
-       356: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
-       359: getstatic     #84                 // Field java/util/logging/Level.WARNING:Ljava/util/logging/Level;
-       362: new           #69                 // class java/lang/StringBuilder
-       365: dup           
-       366: invokespecial #70                 // Method java/lang/StringBuilder."&lt;init&gt;":()V
-       369: ldc           #85                 // String Failed to load the queue file 
-       371: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
-       374: aload_0       
-       375: invokevirtual #49                 // Method getXMLQueueFile:()Ljava/io/File;
-       378: invokevirtual #73                 // Method java/lang/StringBuilder.append:(Ljava/lang/Object;)Ljava/lang/StringBuilder;
-       381: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
-       384: aload_1       
-       385: invokevirtual #86                 // Method java/util/logging/Logger.log:(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V
-       388: return        
+        48: ldc           #44                 // class hudson/model/AbstractProject
+        50: invokevirtual #45                 // Method jenkins/model/Jenkins.getItemByFullName:(Ljava/lang/String;Ljava/lang/Class;)Lhudson/model/Item;
+        53: checkcast     #44                 // class hudson/model/AbstractProject
+        56: astore        4
+        58: aload         4
+        60: ifnull        69
+        63: aload         4
+        65: invokevirtual #46                 // Method hudson/model/AbstractProject.scheduleBuild:()Z
+        68: pop           
+        69: goto          35
+        72: aload_2       
+        73: invokevirtual #47                 // Method java/io/BufferedReader.close:()V
+        76: goto          88
+        79: astore        5
+        81: aload_2       
+        82: invokevirtual #47                 // Method java/io/BufferedReader.close:()V
+        85: aload         5
+        87: athrow        
+        88: aload_1       
+        89: invokevirtual #48                 // Method java/io/File.delete:()Z
+        92: pop           
+        93: goto          351
+        96: aload_0       
+        97: invokevirtual #49                 // Method hudson/model/Queue.getXMLQueueFile:()Ljava/io/File;
+       100: astore_1      
+       101: aload_1       
+       102: invokevirtual #35                 // Method java/io/File.exists:()Z
+       105: ifeq          351
+       108: new           #50                 // class hudson/XmlFile
+       111: dup           
+       112: getstatic     #51                 // Field hudson/model/Queue.XSTREAM:Lcom/thoughtworks/xstream/XStream;
+       115: aload_1       
+       116: invokespecial #52                 // Method hudson/XmlFile."&lt;init&gt;":(Lcom/thoughtworks/xstream/XStream;Ljava/io/File;)V
+       119: invokevirtual #53                 // Method hudson/XmlFile.read:()Ljava/lang/Object;
+       122: checkcast     #54                 // class java/util/List
+       125: astore_2      
+       126: iconst_0      
+       127: istore_3      
+       128: aload_2       
+       129: invokeinterface #55,  1           // InterfaceMethod java/util/List.iterator:()Ljava/util/Iterator;
+       134: astore        4
+       136: aload         4
+       138: invokeinterface #56,  1           // InterfaceMethod java/util/Iterator.hasNext:()Z
+       143: ifeq          295
+       146: aload         4
+       148: invokeinterface #57,  1           // InterfaceMethod java/util/Iterator.next:()Ljava/lang/Object;
+       153: astore        5
+       155: aload         5
+       157: instanceof    #58                 // class hudson/model/Queue$Task
+       160: ifeq          177
+       163: aload_0       
+       164: aload         5
+       166: checkcast     #58                 // class hudson/model/Queue$Task
+       169: iconst_0      
+       170: invokevirtual #59                 // Method hudson/model/Queue.schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
+       173: pop           
+       174: goto          292
+       177: aload         5
+       179: instanceof    #60                 // class hudson/model/Queue$Item
+       182: ifeq          292
+       185: aload         5
+       187: checkcast     #60                 // class hudson/model/Queue$Item
+       190: astore        6
+       192: aload         6
+       194: getfield      #61                 // Field hudson/model/Queue$Item.task:Lhudson/model/Queue$Task;
+       197: ifnonnull     203
+       200: goto          136
+       203: iload_3       
+       204: aload         6
+       206: getfield      #62                 // Field hudson/model/Queue$Item.id:I
+       209: invokestatic  #63                 // Method java/lang/Math.max:(II)I
+       212: istore_3      
+       213: aload         6
+       215: instanceof    #64                 // class hudson/model/Queue$WaitingItem
+       218: ifeq          230
+       221: aload         6
+       223: aload_0       
+       224: invokevirtual #65                 // Method hudson/model/Queue$Item.enter:(Lhudson/model/Queue;)V
+       227: goto          292
+       230: aload         6
+       232: instanceof    #66                 // class hudson/model/Queue$BlockedItem
+       235: ifeq          247
+       238: aload         6
+       240: aload_0       
+       241: invokevirtual #65                 // Method hudson/model/Queue$Item.enter:(Lhudson/model/Queue;)V
+       244: goto          292
+       247: aload         6
+       249: instanceof    #67                 // class hudson/model/Queue$BuildableItem
+       252: ifeq          264
+       255: aload         6
+       257: aload_0       
+       258: invokevirtual #65                 // Method hudson/model/Queue$Item.enter:(Lhudson/model/Queue;)V
+       261: goto          292
+       264: new           #68                 // class java/lang/IllegalStateException
+       267: dup           
+       268: new           #69                 // class java/lang/StringBuilder
+       271: dup           
+       272: invokespecial #70                 // Method java/lang/StringBuilder."&lt;init&gt;":()V
+       275: ldc           #71                 // String Unknown item type! 
+       277: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
+       280: aload         6
+       282: invokevirtual #73                 // Method java/lang/StringBuilder.append:(Ljava/lang/Object;)Ljava/lang/StringBuilder;
+       285: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
+       288: invokespecial #75                 // Method java/lang/IllegalStateException."&lt;init&gt;":(Ljava/lang/String;)V
+       291: athrow        
+       292: goto          136
+       295: invokestatic  #76                 // Method hudson/model/Queue$WaitingItem.access$300:()Ljava/util/concurrent/atomic/AtomicInteger;
+       298: iload_3       
+       299: invokevirtual #77                 // Method java/util/concurrent/atomic/AtomicInteger.set:(I)V
+       302: new           #78                 // class java/io/File
+       305: dup           
+       306: new           #69                 // class java/lang/StringBuilder
+       309: dup           
+       310: invokespecial #70                 // Method java/lang/StringBuilder."&lt;init&gt;":()V
+       313: aload_1       
+       314: invokevirtual #79                 // Method java/io/File.getPath:()Ljava/lang/String;
+       317: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
+       320: ldc           #80                 // String .bak
+       322: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
+       325: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
+       328: invokespecial #81                 // Method java/io/File."&lt;init&gt;":(Ljava/lang/String;)V
+       331: astore        4
+       333: aload         4
+       335: invokevirtual #48                 // Method java/io/File.delete:()Z
+       338: pop           
+       339: aload_1       
+       340: aload         4
+       342: invokevirtual #82                 // Method java/io/File.renameTo:(Ljava/io/File;)Z
+       345: pop           
+       346: aload_1       
+       347: invokevirtual #48                 // Method java/io/File.delete:()Z
+       350: pop           
+       351: goto          387
+       354: astore_1      
+       355: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
+       358: getstatic     #84                 // Field java/util/logging/Level.WARNING:Ljava/util/logging/Level;
+       361: new           #69                 // class java/lang/StringBuilder
+       364: dup           
+       365: invokespecial #70                 // Method java/lang/StringBuilder."&lt;init&gt;":()V
+       368: ldc           #85                 // String Failed to load the queue file 
+       370: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
+       373: aload_0       
+       374: invokevirtual #49                 // Method hudson/model/Queue.getXMLQueueFile:()Ljava/io/File;
+       377: invokevirtual #73                 // Method java/lang/StringBuilder.append:(Ljava/lang/Object;)Ljava/lang/StringBuilder;
+       380: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
+       383: aload_1       
+       384: invokevirtual #86                 // Method java/util/logging/Logger.log:(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V
+       387: return        
       Exception table:
          from    to  target type
-            35    73    80   any
-            80    82    80   any
-             0   352   355   Class java/io/IOException
+            35    72    79   any
+            79    81    79   any
+             0   351   354   Class java/io/IOException
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              58      11     4     j   Lhudson/model/AbstractProject;
+              41      31     3  line   Ljava/lang/String;
+              35      58     2    in   Ljava/io/BufferedReader;
+             192     100     6  item   Lhudson/model/Queue$Item;
+             155     137     5     o   Ljava/lang/Object;
+             136     159     4    i$   Ljava/util/Iterator;
+             126     225     2  list   Ljava/util/List;
+             128     223     3 maxId   I
+             333      18     4    bk   Ljava/io/File;
+               5     346     1 queueFile   Ljava/io/File;
+             355      32     1     e   Ljava/io/IOException;
+               0     388     0  this   Lhudson/model/Queue;
       LineNumberTable:
         line 343: 0
         line 344: 5
         line 345: 12
         line 348: 35
         line 349: 44
-        line 350: 59
-        line 351: 64
-        line 352: 70
-        line 354: 73
-        line 355: 77
-        line 354: 80
-        line 357: 89
-        line 358: 94
-        line 359: 97
-        line 360: 102
-        line 361: 109
-        line 362: 127
-        line 363: 129
-        line 364: 156
-        line 366: 164
-        line 367: 178
-        line 368: 186
-        line 369: 193
-        line 370: 201
-        line 372: 204
-        line 373: 214
-        line 374: 222
-        line 375: 231
-        line 376: 239
-        line 377: 248
-        line 378: 256
-        line 380: 265
-        line 383: 293
-        line 384: 296
-        line 391: 303
-        line 392: 334
-        line 393: 340
-        line 394: 347
-        line 399: 352
-        line 397: 355
-        line 398: 356
-        line 400: 388
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              59      11     4     j   Lhudson/model/AbstractProject;
-              41      32     3  line   Ljava/lang/String;
-              35      59     2    in   Ljava/io/BufferedReader;
-             193     100     6  item   Lhudson/model/Queue$Item;
-             156     137     5     o   Ljava/lang/Object;
-             137     159     4    i$   Ljava/util/Iterator;
-             127     225     2  list   Ljava/util/List;
-             129     223     3 maxId   I
-             334      18     4    bk   Ljava/io/File;
-               5     347     1 queueFile   Ljava/io/File;
-             356      32     1     e   Ljava/io/IOException;
-               0     389     0  this   Lhudson/model/Queue;
+        line 350: 58
+        line 351: 63
+        line 352: 69
+        line 354: 72
+        line 355: 76
+        line 354: 79
+        line 357: 88
+        line 358: 93
+        line 359: 96
+        line 360: 101
+        line 361: 108
+        line 362: 126
+        line 363: 128
+        line 364: 155
+        line 366: 163
+        line 367: 177
+        line 368: 185
+        line 369: 192
+        line 370: 200
+        line 372: 203
+        line 373: 213
+        line 374: 221
+        line 375: 230
+        line 376: 238
+        line 377: 247
+        line 378: 255
+        line 380: 264
+        line 383: 292
+        line 384: 295
+        line 391: 302
+        line 392: 333
+        line 393: 339
+        line 394: 346
+        line 399: 351
+        line 397: 354
+        line 398: 355
+        line 400: 387
       StackMapTable: number_of_entries = 17
            frame_type = 253 /* append */
              offset_delta = 35
         locals = [ class java/io/File, class java/io/BufferedReader ]
            frame_type = 252 /* append */
-             offset_delta = 34
+             offset_delta = 33
         locals = [ class java/lang/String ]
            frame_type = 250 /* chop */
           offset_delta = 2
@@ -1621,7 +1624,7 @@
         12: invokespecial #89                 // Method java/util/ArrayList."&lt;init&gt;":()V
         15: astore_1      
         16: aload_0       
-        17: invokevirtual #90                 // Method getItems:()[Lhudson/model/Queue$Item;
+        17: invokevirtual #90                 // Method hudson/model/Queue.getItems:()[Lhudson/model/Queue$Item;
         20: astore_2      
         21: aload_2       
         22: arraylength   
@@ -1648,9 +1651,9 @@
         63: goto          27
         66: new           #50                 // class hudson/XmlFile
         69: dup           
-        70: getstatic     #51                 // Field XSTREAM:Lcom/thoughtworks/xstream/XStream;
+        70: getstatic     #51                 // Field hudson/model/Queue.XSTREAM:Lcom/thoughtworks/xstream/XStream;
         73: aload_0       
-        74: invokevirtual #49                 // Method getXMLQueueFile:()Ljava/io/File;
+        74: invokevirtual #49                 // Method hudson/model/Queue.getXMLQueueFile:()Ljava/io/File;
         77: invokespecial #52                 // Method hudson/XmlFile."&lt;init&gt;":(Lcom/thoughtworks/xstream/XStream;Ljava/io/File;)V
         80: astore_2      
         81: aload_2       
@@ -1661,7 +1664,7 @@
         88: invokestatic  #94                 // Method hudson/model/listeners/SaveableListener.fireOnChange:(Lhudson/model/Saveable;Lhudson/XmlFile;)V
         91: goto          127
         94: astore_2      
-        95: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+        95: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
         98: getstatic     #84                 // Field java/util/logging/Level.WARNING:Ljava/util/logging/Level;
        101: new           #69                 // class java/lang/StringBuilder
        104: dup           
@@ -1669,7 +1672,7 @@
        108: ldc           #95                 // String Failed to write out the queue file 
        110: invokevirtual #72                 // Method java/lang/StringBuilder.append:(Ljava/lang/String;)Ljava/lang/StringBuilder;
        113: aload_0       
-       114: invokevirtual #49                 // Method getXMLQueueFile:()Ljava/io/File;
+       114: invokevirtual #49                 // Method hudson/model/Queue.getXMLQueueFile:()Ljava/io/File;
        117: invokevirtual #73                 // Method java/lang/StringBuilder.append:(Ljava/lang/Object;)Ljava/lang/StringBuilder;
        120: invokevirtual #74                 // Method java/lang/StringBuilder.toString:()Ljava/lang/String;
        123: aload_2       
@@ -1678,6 +1681,19 @@
       Exception table:
          from    to  target type
             66    91    94   Class java/io/IOException
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              39      21     5  item   Lhudson/model/Queue$Item;
+              21      45     2  arr$   [Lhudson/model/Queue$Item;
+              24      42     3  len$   I
+              27      39     4    i$   I
+              81      10     2 queueFile   Lhudson/XmlFile;
+              95      32     2     e   Ljava/io/IOException;
+               0     128     0  this   Lhudson/model/Queue;
+              16     112     1 items   Ljava/util/ArrayList;
+      LocalVariableTypeTable:
+        Start  Length  Slot  Name   Signature
+           16     112     1 items   Ljava/util/ArrayList&lt;Lhudson/model/Queue$Item;&gt;;
       LineNumberTable:
         line 406: 0
         line 409: 8
@@ -1692,19 +1708,6 @@
         line 419: 94
         line 420: 95
         line 422: 127
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              39      21     5  item   Lhudson/model/Queue$Item;
-              21      45     2  arr$   [Lhudson/model/Queue$Item;
-              24      42     3  len$   I
-              27      39     4    i$   I
-              81      10     2 queueFile   Lhudson/XmlFile;
-              95      32     2     e   Ljava/io/IOException;
-               0     128     0  this   Lhudson/model/Queue;
-              16     112     1 items   Ljava/util/ArrayList;
-      LocalVariableTypeTable:
-        Start  Length  Slot  Name   Signature
-           16     112     1 items   Ljava/util/ArrayList&lt;Lhudson/model/Queue$Item;&gt;;
       StackMapTable: number_of_entries = 7
            frame_type = 8 /* same */
            frame_type = 255 /* full_frame */
@@ -1733,7 +1736,7 @@
          9: new           #88                 // class java/util/ArrayList
         12: dup           
         13: aload_0       
-        14: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        14: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         17: invokespecial #98                 // Method java/util/ArrayList."&lt;init&gt;":(Ljava/util/Collection;)V
         20: invokevirtual #99                 // Method java/util/ArrayList.iterator:()Ljava/util/Iterator;
         23: astore_1      
@@ -1750,18 +1753,23 @@
         48: pop           
         49: goto          24
         52: aload_0       
-        53: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        53: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         56: invokevirtual #101                // Method hudson/model/Queue$ItemList.cancelAll:()V
         59: aload_0       
-        60: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        60: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         63: invokevirtual #101                // Method hudson/model/Queue$ItemList.cancelAll:()V
         66: aload_0       
-        67: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        67: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         70: invokevirtual #101                // Method hudson/model/Queue$ItemList.cancelAll:()V
         73: aload_0       
-        74: invokevirtual #102                // Method scheduleMaintenance:()Ljava/util/concurrent/Future;
+        74: invokevirtual #102                // Method hudson/model/Queue.scheduleMaintenance:()Ljava/util/concurrent/Future;
         77: pop           
         78: return        
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              43       6     2     i   Lhudson/model/Queue$WaitingItem;
+              24      28     1    i$   Ljava/util/Iterator;
+               0      79     0  this   Lhudson/model/Queue;
       LineNumberTable:
         line 429: 0
         line 430: 9
@@ -1771,11 +1779,6 @@
         line 434: 66
         line 435: 73
         line 436: 78
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              43       6     2     i   Lhudson/model/Queue$WaitingItem;
-              24      28     1    i$   Ljava/util/Iterator;
-               0      79     0  this   Lhudson/model/Queue;
       StackMapTable: number_of_entries = 2
            frame_type = 252 /* append */
              offset_delta = 24
@@ -1797,11 +1800,11 @@
         10: ldc           #106                // String queue.xml
         12: invokespecial #105                // Method java/io/File."&lt;init&gt;":(Ljava/io/File;Ljava/lang/String;)V
         15: areturn       
-      LineNumberTable:
-        line 443: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      16     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 443: 0
 
   public boolean add(hudson.model.AbstractProject);
     flags: ACC_PUBLIC
@@ -1809,18 +1812,18 @@
       stack=2, locals=2, args_size=2
          0: aload_0       
          1: aload_1       
-         2: invokevirtual #107                // Method schedule:(Lhudson/model/AbstractProject;)Lhudson/model/Queue$WaitingItem;
+         2: invokevirtual #107                // Method hudson/model/Queue.schedule:(Lhudson/model/AbstractProject;)Lhudson/model/Queue$WaitingItem;
          5: ifnull        12
          8: iconst_1      
          9: goto          13
         12: iconst_0      
         13: ireturn       
-      LineNumberTable:
-        line 451: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      14     0  this   Lhudson/model/Queue;
                0      14     1     p   Lhudson/model/AbstractProject;
+      LineNumberTable:
+        line 451: 0
       StackMapTable: number_of_entries = 2
            frame_type = 12 /* same */
            frame_type = 64 /* same_locals_1_stack_item */
@@ -1836,14 +1839,14 @@
          1: aload_1       
          2: aload_1       
          3: invokevirtual #108                // Method hudson/model/AbstractProject.getQuietPeriod:()I
-         6: invokevirtual #59                 // Method schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
+         6: invokevirtual #59                 // Method hudson/model/Queue.schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
          9: areturn       
-      LineNumberTable:
-        line 459: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      10     0  this   Lhudson/model/Queue;
                0      10     1     p   Lhudson/model/AbstractProject;
+      LineNumberTable:
+        line 459: 0
     RuntimeVisibleAnnotations:
       0: #419()
 
